local L = AceLibrary("AceLocale-2.2"):new("MCPFu")

L:RegisterTranslations("enUS", function() return {
	NAME = "FuBar - MCPFu",
	DESCRIPTION = "Enable/Disable addons for your character in game.",

	LOADED = "Loaded",
	WILL_NOT_LOAD = "Will not load",
	DISABLED_IN_MCP = "Disabled in MCP",

	OPT_SHOW_ENABLED = "Show Enabled/Disabled",
	OPT_SHOW_ENABLED_DESC = "Show in the addon text how many are enabled / disabled",
	OPT_SHOW_SECURITY = "Show Security",
	OPT_SHOW_SECURITY_DESC = "Show blizzards security info",
	OPT_SHOW_NOTES = "Show Notes",
	OPT_SHOW_NOTES_DESC = "Show addon notes in tooltip",
	OPT_NOTE_LEN = "Max length of notes",
	OPT_NOTE_LEN_DESC = "If notes are longer than this amount of chars, they will be shortened",

	SECURE = "Secure",
	INSECURE = "Insecure",
	BANNED = "Banned",

	ONDEMAND = "Shift+Click to load",

	HINT = "Alt+Click to reload",
	["Add"] = true,
	["Creates a new set, or updates an existing one."] = true,
	["Use"] = true,
	["Use this set of addons."] = true,
	["Auto load"] = true,
	["Automatically reload UI when sets are changed"] = true,
	["Delete"] = true,
	["Delete a set."] = true,
	["Enter the name for your saved Config here !"] = true,
	["Cancel"] = true,
	["Equip %s, or hold down Shift to edit this set."] = true,
	["Deletes the equipment set %s."] = true,
	["Deleted set: %s."] = true,
	["Updating set: %s."] = true,
	["Please use a proper name for your set."] = true,
	["Added set: %s."] = true,
	["Are you sure you want to delete the set %s?"] = true,
	
} end )

L:RegisterTranslations("koKR", function() return {
	NAME = "FuBar - MCPFu",
	DESCRIPTION = "게임 상에서 캐릭터별로 애드온의 사용 여부를 선택합니다.",

	LOADED = "불러옴",
	WILL_NOT_LOAD = "불러오기 실패",
	DISABLED_IN_MCP = "MCP에사 사용 불가",

	OPT_SHOW_ENABLED = "사용/사용안함 표시",
	OPT_SHOW_ENABLED_DESC = "사용/사용안함 애드온의 갯수를 표시합니다",
	OPT_SHOW_SECURITY = "안전성 표시",
	OPT_SHOW_SECURITY_DESC = "Blizzard 안전성 정보를 표시합니다",
	OPT_SHOW_NOTES = "설명 표시",
	OPT_SHOW_NOTES_DESC = "툴팁에 애드온의 설명을 표시합니다",
	OPT_NOTE_LEN = "설명 길이 제한",
	OPT_NOTE_LEN_DESC = "툴팁에 표시되는 애드온의 설명의 최대 길이를 조절합니다. 그 이상의 경우에는 생략됩니다",

	SECURE = "안전함",
	INSECURE = "검증안됨",
	BANNED = "차단됨",

	ONDEMAND = "Shift 클릭시 불러옴",

	HINT = "Alt 클릭시 리로딩합니다",


} end )

-- Translated by Argonavt-Arkona / Swix
L:RegisterTranslations("ruRU", function() return {
        NAME = "FuBar - MCPFu",
	DESCRIPTION = "Включить/выключить аддоны для вашего персонажа",

	LOADED = "Загружен",
	WILL_NOT_LOAD = "Не загружен",
	DISABLED_IN_MCP = "Отключён в MCP",

	OPT_SHOW_ENABLED = "Состояние аддонов",
	OPT_SHOW_ENABLED_DESC = "Отображать состояние загрузки аддона",
	OPT_SHOW_SECURITY = "Информация о безопасности",
	OPT_SHOW_SECURITY_DESC = "Отображение столба с информацией о безопасноcти аддона",
	OPT_SHOW_NOTES = "Описание аддонов",
	OPT_SHOW_NOTES_DESC = "Отображение описаний аддонов",
	OPT_NOTE_LEN = "Максимальная длина описаний",
	OPT_NOTE_LEN_DESC = "Если описание аддона длиннее указанного здесь числа, то оставшаяся часть будет отброшена",

	SECURE = "Безопасные",
	INSECURE = "Неизвестные",
	BANNED = "Запрещенные",

	ONDEMAND = "Shift+Левый клик для загрузки",

	HINT = "Alt+Левый клик для перезагрузки",

	["Add"] = "Добавить набор",
	["Creates a new set, or updates an existing one."] = "Создание нового набора или обновление уже существующего",
	["Use"] = "Использовать набор",
	["Use this set of addons."] = "Загрузка набора выбранных аддонов",
	["Auto load"] = "Автоперезагрузка",
	["Automatically reload UI when sets are changed"] = "Автоматически перезагружать интерфейс после изменения набора",
	["Delete"] = "Удалить",
	["Delete a set."] = "Удаление наборa",
	["Enter the name for your saved Config here !"] = "Введите имя набора:",
	["Cancel"] = "Отменить",
	["Equip %s, or hold down Shift to edit this set."] = "Щёлкните левой кнопкой мыши, чтобы загрузить набор %s или зажмите Shift для его редактирования",
	["Deletes the equipment set %s."] = "Удаление набора %s",
	["Deleted set: %s."] = "Удалить набор: %s.",
	["Updating set: %s."] = "Обновить Набор: %s.",
	["Please use a proper name for your set."] = "Пожалуйста, используйте подходящее имя для вашего набора.",
	["Added set: %s."] = "Добавить набор: %s.",
	["Are you sure you want to delete the set %s?"] = "Вы уверены, что хотите удалить набор %s?",
	
} end )
